## marble 20.08.1

=== debian/changelog ===
marble (4:20.08.1-1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Sep 2020 13:16:12 -0700

=== debian/control ===
Source: marble
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.7.0~),
               gettext,
               libgps-dev (>= 2.90),
               libkf5coreaddons-dev (>= 5.7.0~),
               libkf5crash-dev (>= 5.7.0~),
               libkf5doctools-dev (>= 5.7.0~),
               libkf5i18n-dev (>= 5.7.0~),
               libkf5kio-dev (>= 5.7.0~),
               libkf5newstuff-dev (>= 5.7.0~),
               libkf5parts-dev (>= 5.7.0~),
               libkf5plasma-dev (>= 5.7.0~),
               libkf5runner-dev (>= 5.7.0~),
               libkf5wallet-dev (>= 5.7.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev,
               libqt5serialport5-dev,
               libqt5svg5-dev (>= 5.7.0~),
               libqt5webkit5-dev (>= 5.4),
               libshp-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
               qtlocation5-dev (>= 5.3.0~),
               qtmultimedia5-dev (>= 5.7.0~),
               qtpositioning5-dev (>= 5.7.0~),
               qtquickcontrols2-5-dev (>= 5.7.0~),
               qttools5-dev (>= 5.7.0~),
               shared-mime-info,
               zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://marble.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/marble
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/marble.git

Package: libastro-dev
Architecture: any
Section: libdevel
Depends: libastro1 (= ${binary:Version}), ${misc:Depends}
Description: development files for the Marble astrononmy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble astronomy library
 .
 This package is part of the KDE education module.

Package: libastro1
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Marble astronomy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for astronomy support in marble.
 .
 This package is part of the KDE education module.

Package: libmarble-dev
Architecture: any
Section: libdevel
Depends: libastro-dev (= ${binary:Version}),
         libmarblewidget-qt5-28 (= ${binary:Version}),
         libqt5svg5-dev (>= 5.7.0~),
         libqt5webkit5-dev (>= 5.4),
         qtdeclarative5-dev (>= 5.7.0~),
         ${misc:Depends},
         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-28},
         ${shlibs:Depends}
Description: development files for the Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble globe widget library.
 .
 This package is part of the KDE education module.

Package: libmarblewidget-qt5-28
Architecture: any
Section: libs
Multi-Arch: same
Depends: marble-plugins (= ${binary:Version}),
         marble-qt-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for the Marble globe widget.
 .
 This package is part of the KDE education module.

Package: marble
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gosmore, monav-routing-daemon, routino
Replaces: marble-data (<< 4:17.08.1)
Breaks: marble-data (<< 4:17.08.1)
Description: globe and map widget
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-data
Architecture: all
Section: misc
Multi-Arch: foreign
Depends: marble-qt-data (= ${source:Version}), ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: data files for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: marble-maps
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         qml-module-qtgraphicaleffects,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-window2,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gosmore, monav-routing-daemon, routino
Description: globe and map widget for mobile form factors
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-plugins
Architecture: any
Section: misc
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: plugins for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains various plugins for the Marble desktop globe. The Marble
 globe widget library may not be of much use if this package is not installed.
 .
 This package is part of the KDE education module.

Package: marble-qt
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: globe and map widget (no KDE dependencies)
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-qt-data
Architecture: all
Section: misc
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: marble-data (<< 4:17.08.3-3~), ${kde-l10n:all}
Replaces: marble-data (<< 4:17.08.3-3~), ${kde-l10n:all}
Description: Qt-only data files for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: plasma-marble
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: marble (<< 4:17.08.3-3~), marble-data (<< 4:17.08.3-3~)
Replaces: marble (<< 4:17.08.3-3~), marble-data (<< 4:17.08.3-3~)
Description: Plasma integration for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the Marble integration with Plasma:
  * the Plasma runner
  * the World Clock widget
  * the Plasma wallpaper
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk

ifeq ($(shell $(call dpkg_vendor_derives_from,ubuntu)),yes)
  ifeq ($(DEB_HOST_ARCH),armel)
    conf_args += -DWITH_OpenGL=OFF
  endif
endif

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  QMAKE = qmake
else
  QMAKE = $(DEB_HOST_GNU_TYPE)-qmake
endif

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DWITH_DESIGNER_PLUGIN=ON \
				 -DWITH_KF5=TRUE \
				 -DMARBLE_INSTALL_ANDROID_APPS=ON \
				 -DQT_PLUGINS_DIR="$(shell $(QMAKE) -qt=5 -query QT_INSTALL_PLUGINS)" \
				 -DBUILD_MARBLE_TESTS=FALSE \
				 $(conf_args)

override_dh_auto_install:
	dh_auto_install
	# remove extra license files
	rm -f debian/tmp/usr/share/marble/data/LICENSE.txt
	rm -rf debian/tmp/usr/share/marble/data/licenses/

override_dh_auto_test:
	# Disable the auto tests at build time
	:

override_dh_clean:
	dh_clean -Xdata/mwdbii/PISLAND.PNT.orig -Xdata/mwdbii/PLAKE.PNT.orig

override_dh_gencontrol-indep: l10npkgs_firstversion_ok
	dh_gencontrol -i

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_sameversiondep -a
	dh_gencontrol -a

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## marble 20.12.3

=== src/CMakeLists.txt ===
# before add_subdirectory() !
if(MSVC)
  add_definitions(-D_USE_MATH_DEFINES=1)
endif(MSVC)

if(NOT MARBLE_NO_DBUS)
  add_definitions(-DMARBLE_DBUS)
endif()

# disabled for now:
# no public Marble QML plugins are installed, libmarbledeclarative is only a shared lib
if (FALSE)
if( Qt5Quick_FOUND )
  OPTION(IGNORE_CMAKE_INSTALL_PREFIX_FOR_DECLARATIVE_PLUGINS "Install Marble Qt Declarative plugins to QT_IMPORTS_DIR even if that is out of the CMAKE_INSTALL_PREFIX")
  IF(QT_IMPORTS_DIR)
    SET(MARBLE_QT_IMPORTS_DIR ${QT_IMPORTS_DIR})
  ELSE()
    # Fallback when FindQt.cmake (part of cmake) does not define QT_IMPORTS_DIR. Get it from qmake instead.
    EXEC_PROGRAM( qmake ARGS "-query QT_INSTALL_QML" OUTPUT_VARIABLE MARBLE_QT_IMPORTS_DIR )
  ENDIF()
  STRING(LENGTH "${CMAKE_INSTALL_PREFIX}" _MARBLE_CMAKE_INSTALL_PREFIX_LEN)
  STRING(LENGTH "${MARBLE_QT_IMPORTS_DIR}" _MARBLE_QT_IMPORTS_DIR_LEN)
  IF(NOT ${CMAKE_INSTALL_PREFIX} STREQUAL /usr/local)
    IF(NOT ${_MARBLE_QT_IMPORTS_DIR_LEN} LESS ${_MARBLE_CMAKE_INSTALL_PREFIX_LEN})
      STRING(SUBSTRING ${MARBLE_QT_IMPORTS_DIR} 0 ${_MARBLE_CMAKE_INSTALL_PREFIX_LEN} _MARBLE_QT_IMPORTS_DIR_START)
      IF(NOT ${CMAKE_INSTALL_PREFIX} STREQUAL ${_MARBLE_QT_IMPORTS_DIR_START})
        IF(NOT ${IGNORE_CMAKE_INSTALL_PREFIX_FOR_DECLARATIVE_PLUGINS})
          MESSAGE(STATUS "Please include ${MARBLE_PLUGIN_INSTALL_PATH} in the QML_IMPORT_PATH environment variable to use Marble's Qt declarative plugins.")
          MESSAGE(STATUS "Note: Marble Desktop does not make use of declarative plugins. Ignore the message above if you only intend to use the Desktop version.")
          SET(MARBLE_QT_IMPORTS_DIR ${MARBLE_PLUGIN_INSTALL_PATH})
        ENDIF()
      ENDIF()
    ELSE()
        IF(NOT ${IGNORE_CMAKE_INSTALL_PREFIX_FOR_DECLARATIVE_PLUGINS})
          MESSAGE(STATUS "Please include ${MARBLE_PLUGIN_INSTALL_PATH} in the QML_IMPORT_PATH environment variable to use Marble's Qt declarative plugins.")
          MESSAGE(STATUS "Note: Marble Desktop does not make use of declarative plugins. Ignore the message above if you only intend to use the Desktop version.")
          SET(MARBLE_QT_IMPORTS_DIR ${MARBLE_PLUGIN_INSTALL_PATH})
        ENDIF()
    ENDIF()
  ENDIF()
ENDIF()
endif()

macro_optional_find_package(ZLIB QUIET)
marble_set_package_properties(ZLIB PROPERTIES DESCRIPTION "general-purpose lossless data-compression library")
marble_set_package_properties(ZLIB PROPERTIES URL "https://www.zlib.net/")
marble_set_package_properties(ZLIB PROPERTIES TYPE OPTIONAL PURPOSE "When found, system zlib is used. When not found, a Marble internal zlib is used.")
if(NOT ZLIB_FOUND)
  add_subdirectory( 3rdparty/zlib )
  set(ZLIB_LIBRARIES zlibstatic)
  set(ZLIB_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/zlib" "${CMAKE_CURRENT_BINARY_DIR}/3rdparty/zlib")
endif()

add_subdirectory( 3rdparty/o5mreader )
add_subdirectory( 3rdparty/sgp4 )
add_subdirectory( lib/marble )
add_subdirectory( lib/astro )
add_subdirectory( lib/marble/declarative )

add_subdirectory( plugins )

option(BUILD_MARBLE_APPS "Build Marble Desktop/Mobile applications" ON)
add_feature_info("Marble Desktop/Mobile applications" BUILD_MARBLE_APPS "Build Marble Desktop/Mobile applications. Toggle with BUILD_MARBLE_APPS=YES/NO.")
if(BUILD_MARBLE_APPS)
  add_subdirectory( apps )
endif()

add_subdirectory( bindings )

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/config-marble.h.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/config-marble.h
)

if(APPLE)
  add_subdirectory( mac )
endif(APPLE)

add_subdirectory( plasma )
add_subdirectory( plasmarunner )
add_subdirectory( thumbnailer )

=== src/plasmarunner/CMakeLists.txt ===
project(MarblePlasmaRunner)

find_package(ECM ${REQUIRED_ECM_VERSION} QUIET)
if(NOT ECM_FOUND)
    return()
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMPoQmTools)
include(KDEInstallDirs)
# KDECMakeSettings expexts LIB_INSTALL_DIR set
set(LIB_INSTALL_DIR ${KDE_INSTALL_LIBDIR})
include(KDECMakeSettings)

macro_optional_find_package(KF5 ${REQUIRED_KF5_MIN_VERSION} QUIET COMPONENTS Runner I18n)

if(NOT KF5_FOUND)
  return()
endif()

set(plasmaRunner_SRCS
  main.cpp
  plasmarunner.cpp
)

# we have to load the catalog ourselves currently
ecm_create_qm_loader(plasmaRunner_SRCS marble_qt)

add_library(plasma_runner_marble MODULE ${plasmaRunner_SRCS})
target_link_libraries(plasma_runner_marble
  marblewidget
  KF5::Runner
  KF5::I18n
)

install(TARGETS plasma_runner_marble DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES plasma-runner-marble.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== src/plugins/render/atmosphere/CMakeLists.txt ===
PROJECT( AtmospherePlugin )

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( atmosphere_SRCS AtmospherePlugin.cpp )

marble_add_plugin( AtmospherePlugin ${atmosphere_SRCS} )

=== src/plugins/render/earthquake/CMakeLists.txt ===
PROJECT( EarthquakePlugin )

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( my_SRCS
  EarthquakePlugin.cpp
  EarthquakeModel.cpp
  EarthquakeItem.cpp
 )
set( earthquake_UI EarthquakeConfigWidget.ui )

qt_wrap_ui(my_SRCS ${earthquake_UI})
qt_add_resources(my_SRCS earthquake.qrc)

set(EarthquakePlugin_LIBS Qt5::Svg)

marble_add_plugin( EarthquakePlugin ${my_SRCS} )

=== src/plugins/render/photo/CMakeLists.txt ===
PROJECT(Photo)

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( photo_SRCS PhotoPlugin.cpp
                PhotoPluginModel.cpp
                PhotoPluginItem.cpp
                FlickrParser.cpp
                CoordinatesParser.cpp )
set( photo_UI PhotoConfigWidget.ui )

qt_wrap_ui(photo_SRCS ${photo_UI})

marble_add_plugin( Photo ${photo_SRCS} )

=== tools/vectorosm-tilecreator/setup/build/Makefile ===
build: image
	mkdir -p output
	docker run -it --rm -v `pwd`/output:/output vkrause/marble-builder build-tilegenerator.sh
	docker run -it --rm -v `pwd`/output:/output vkrause/marble-builder build-tirex.sh

image: Dockerfile build-tilegenerator.sh build-tirex.sh
	docker build -t vkrause/marble-builder .

=== debian/changelog ===
marble (4:20.12.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop to dh-compat=12.
  * d/marble-data.install: fix the install of marble.knsrc for some reason.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 10 Mar 2021 11:31:37 -0800

marble (4:20.12.3-1) unstable; urgency=medium

  * Update upstream release signing key.
  * New upstream release (20.12.3).
  * Drop patch install-marble-maps.diff, replace with upstream configure flag
    -DBUILD_TOUCH=ON.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 10 Mar 2021 10:36:18 +0100

marble (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - add libprotobuf-dev, and protobuf-compiler
  * Update install files.
  * Unregister the old /etc/xdg/marble.knsrc conffile.
  * Drop patch allow-svg-bookmark-icons.patch: added in an NMU, it is not
    forwarded upstream, and it breaks translations.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Drop the -DWITH_OpenGL=OFF cmake parameter on armel on Ubuntu
    distributions, as Ubuntu does not build armel anymore.
  * Update symbols file.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jan 2021 22:58:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sune Vuorela <sune@debian.org>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 12),
                extra-cmake-modules (>= 1.7.0~),
@@ -21,6 +22,7 @@
                libkf5wallet-dev (>= 5.7.0~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
+               libprotobuf-dev,
                libqt5opengl5-dev,
                libqt5serialport5-dev,
                libqt5svg5-dev (>= 5.7.0~),
@@ -28,6 +30,7 @@
                libshp-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
+               protobuf-compiler,
                qtbase5-dev (>= 5.7.0~),
                qtdeclarative5-dev (>= 5.7.0~),
                qtlocation5-dev (>= 5.3.0~),
@@ -37,7 +40,7 @@
                qttools5-dev (>= 5.7.0~),
                shared-mime-info,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://marble.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/marble
@@ -99,10 +102,10 @@
 Architecture: any
 Section: libs
 Multi-Arch: same
-Depends: marble-plugins (= ${binary:Version}),
-         marble-qt-data (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: marble-qt-data (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: marble-plugins (= ${binary:Version})
 Description: Marble globe widget library
  Marble is a generic geographical map widget and framework for KDE
  applications. The Marble widget shows the earth as a sphere but does not

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,6 @@
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
 include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
 include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/vendor.mk
-
-ifeq ($(shell $(call dpkg_vendor_derives_from,ubuntu)),yes)
-  ifeq ($(DEB_HOST_ARCH),armel)
-    conf_args += -DWITH_OpenGL=OFF
-  endif
-endif
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
   QMAKE = qmake
@@ -27,6 +20,7 @@
 				 -DWITH_KF5=TRUE \
 				 -DMARBLE_INSTALL_ANDROID_APPS=ON \
 				 -DQT_PLUGINS_DIR="$(shell $(QMAKE) -qt=5 -query QT_INSTALL_PLUGINS)" \
+				 -DBUILD_TOUCH=ON \
 				 -DBUILD_MARBLE_TESTS=FALSE \
 				 $(conf_args)

## marble 21.07.90

=== debian/changelog ===
marble (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update install files.
  * Update symbols from build logs.
  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:05:29 +0100

marble (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update install files.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 18:51:37 +0100

marble (4:21.04.3-0ubuntu2) impish; urgency=medium

  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 13 Jul 2021 15:01:28 +0100

marble (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:52:14 +0100

marble (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:49:42 +0100

marble (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:16:06 +0100

marble (4:21.04.0-0ubuntu2) impish; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 15:50:58 +0100

marble (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)
  * Update install files.

  [ José Manuel Santamaría Lema ]
  * Add qtwebengine5-dev to build depends, only for the debian
    architectures where qtwebengine is being built
  * Update symbols files
  * Add some webkit related headers to do_not_install_private_headers
  * Add qtwebengine5-dev to libmarble-dev Depends (only for architectures
    supported by qtwebengine)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:47:11 +0100

## marble 21.08.1

=== debian/changelog ===
marble (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:41:06 +0100

marble (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:10:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: marble
 Section: kde
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Sune Vuorela <sune@debian.org>
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
                gettext,
                libgps-dev (>= 2.90),
@@ -38,8 +37,9 @@
                qtpositioning5-dev (>= 5.7.0~),
                qtquickcontrols2-5-dev (>= 5.7.0~),
                qttools5-dev (>= 5.7.0~),
+               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
                shared-mime-info,
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://marble.kde.org/
@@ -49,7 +49,8 @@
 Package: libastro-dev
 Architecture: any
 Section: libdevel
-Depends: libastro1 (= ${binary:Version}), ${misc:Depends}
+Depends: libastro1 (= ${binary:Version}),
+         ${misc:Depends},
 Description: development files for the Marble astrononmy library
  Marble is a generic geographical map widget and framework for KDE
  applications. The Marble widget shows the earth as a sphere but does not
@@ -84,9 +85,10 @@
          libqt5svg5-dev (>= 5.7.0~),
          libqt5webkit5-dev (>= 5.4),
          qtdeclarative5-dev (>= 5.7.0~),
+         qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
          ${misc:Depends},
          ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-28},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: development files for the Marble globe widget library
  Marble is a generic geographical map widget and framework for KDE
  applications. The Marble widget shows the earth as a sphere but does not
@@ -104,7 +106,7 @@
 Multi-Arch: same
 Depends: marble-qt-data (>= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: marble-plugins (= ${binary:Version})
 Description: Marble globe widget library
  Marble is a generic geographical map widget and framework for KDE
@@ -122,7 +124,7 @@
 Depends: marble-data (>= ${source:Version}),
          marble-plugins (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Suggests: gosmore, monav-routing-daemon, routino
 Replaces: marble-data (<< 4:17.08.1)
 Breaks: marble-data (<< 4:17.08.1)
@@ -164,7 +166,7 @@
          qml-module-qtquick-dialogs,
          qml-module-qtquick-window2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Suggests: gosmore, monav-routing-daemon, routino
 Description: globe and map widget for mobile form factors
  Marble is a generic geographical map widget and framework for KDE
@@ -230,7 +232,7 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: marble (<< 4:17.08.3-3~), marble-data (<< 4:17.08.3-3~)
 Replaces: marble (<< 4:17.08.3-3~), marble-data (<< 4:17.08.3-3~)
 Description: Plasma integration for Marble

## marble 21.08.3

=== src/plugins/runner/latlon/CMakeLists.txt ===
PROJECT( LatLonPlugin )

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set( latlon_SRCS LatLonRunner.cpp LatLonPlugin.cpp )

marble_add_plugin( LatLonPlugin ${latlon_SRCS} )

=== debian/changelog ===
marble (4:21.08.3-1) UNRELEASED; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 07 Jun 2022 11:35:54 +0800

marble (4:21.08.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * Drop files not built with newer frameworks (Closes: #997129).
  * New upstream release (21.08.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 05 Nov 2021 09:55:02 +0900

marble (4:21.08.0-2) unstable; urgency=medium

  * Team upload.
  * Update install files.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Revert the switch from webkit to webengine, as webengine is not available
    on all the architectures, and it changes the API/ABI a bit. Something to
    figure out with upstream in the short future...
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Update the patches:
    - do_not_install_private_headers: refresh
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Aug 2021 12:08:13 +0200

marble (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Switch from webkit to webengine.
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 08:44:58 +0900

marble (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 13:02:44 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: marble
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
@@ -37,10 +38,9 @@
                qtpositioning5-dev (>= 5.7.0~),
                qtquickcontrols2-5-dev (>= 5.7.0~),
                qttools5-dev (>= 5.7.0~),
-               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
                shared-mime-info,
                zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://marble.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/marble
@@ -49,8 +49,7 @@
 Package: libastro-dev
 Architecture: any
 Section: libdevel
-Depends: libastro1 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libastro1 (= ${binary:Version}), ${misc:Depends}
 Description: development files for the Marble astrononmy library
  Marble is a generic geographical map widget and framework for KDE
  applications. The Marble widget shows the earth as a sphere but does not
@@ -85,7 +84,6 @@
          libqt5svg5-dev (>= 5.7.0~),
          libqt5webkit5-dev (>= 5.4),
          qtdeclarative5-dev (>= 5.7.0~),
-         qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
          ${misc:Depends},
          ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-28},
          ${shlibs:Depends},
@@ -141,8 +139,6 @@
 Section: misc
 Multi-Arch: foreign
 Depends: marble-qt-data (= ${source:Version}), ${misc:Depends}
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: data files for Marble
  Marble is a generic geographical map widget and framework for KDE
  applications. The Marble widget shows the earth as a sphere but does not
@@ -209,8 +205,8 @@
 Section: misc
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: marble-data (<< 4:17.08.3-3~), ${kde-l10n:all}
-Replaces: marble-data (<< 4:17.08.3-3~), ${kde-l10n:all}
+Breaks: marble-data (<< 4:17.08.3-3~),
+Replaces: marble-data (<< 4:17.08.3-3~),
 Description: Qt-only data files for Marble
  Marble is a generic geographical map widget and framework for KDE
  applications. The Marble widget shows the earth as a sphere but does not
